]> code.delx.au - gnu-emacs/blob - m4/gl-comp.m4
Merge from trunk.
[gnu-emacs] / m4 / gl-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2011 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.in, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module careadlinkat:
44 # Code from module crypto/md5:
45 # Code from module crypto/sha1:
46 # Code from module crypto/sha256:
47 # Code from module crypto/sha512:
48 # Code from module dosname:
49 # Code from module dtoastr:
50 # Code from module dup2:
51 # Code from module extensions:
52 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
53 # Code from module filemode:
54 # Code from module getloadavg:
55 # Code from module getopt-gnu:
56 # Code from module getopt-posix:
57 # Code from module gettext-h:
58 # Code from module ignore-value:
59 # Code from module include_next:
60 # Code from module intprops:
61 # Code from module inttypes-incomplete:
62 # Code from module largefile:
63 AC_REQUIRE([AC_SYS_LARGEFILE])
64 # Code from module lstat:
65 # Code from module mktime:
66 # Code from module multiarch:
67 # Code from module nocrash:
68 # Code from module pathmax:
69 # Code from module pthread_sigmask:
70 # Code from module readlink:
71 # Code from module signal-h:
72 # Code from module sigprocmask:
73 # Code from module snippet/_Noreturn:
74 # Code from module snippet/arg-nonnull:
75 # Code from module snippet/c++defs:
76 # Code from module snippet/warn-on-use:
77 # Code from module socklen:
78 # Code from module ssize_t:
79 # Code from module stat:
80 # Code from module stdarg:
81 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
82 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
83 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
84 dnl shouldn't hurt, though installers are on their own to set c99 mode.
85 gl_PROG_CC_C99
86 # Code from module stdbool:
87 # Code from module stddef:
88 # Code from module stdint:
89 # Code from module stdio:
90 # Code from module stdlib:
91 # Code from module strftime:
92 # Code from module strtoimax:
93 # Code from module strtoll:
94 # Code from module strtoull:
95 # Code from module strtoumax:
96 # Code from module symlink:
97 # Code from module sys_stat:
98 # Code from module time:
99 # Code from module time_r:
100 # Code from module u64:
101 # Code from module unistd:
102 # Code from module verify:
103 ])
104
105 # This macro should be invoked from ./configure.in, in the section
106 # "Check for header files, types and library functions".
107 AC_DEFUN([gl_INIT],
108 [
109 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
110 gl_cond_libtool=false
111 gl_libdeps=
112 gl_ltlibdeps=
113 gl_m4_base='m4'
114 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
115 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
116 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
117 m4_pushdef([gl_LIBSOURCES_LIST], [])
118 m4_pushdef([gl_LIBSOURCES_DIR], [])
119 gl_COMMON
120 gl_source_base='lib'
121 gl_FUNC_ALLOCA
122 AC_CHECK_FUNCS_ONCE([readlinkat])
123 gl_MD5
124 gl_SHA1
125 gl_SHA256
126 gl_SHA512
127 AC_REQUIRE([gl_C99_STRTOLD])
128 gl_FUNC_DUP2
129 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
130 AC_LIBOBJ([dup2])
131 gl_PREREQ_DUP2
132 fi
133 gl_UNISTD_MODULE_INDICATOR([dup2])
134 gl_FILEMODE
135 gl_GETLOADAVG
136 if test $HAVE_GETLOADAVG = 0; then
137 AC_LIBOBJ([getloadavg])
138 gl_PREREQ_GETLOADAVG
139 fi
140 gl_STDLIB_MODULE_INDICATOR([getloadavg])
141 gl_FUNC_GETOPT_GNU
142 if test $REPLACE_GETOPT = 1; then
143 AC_LIBOBJ([getopt])
144 AC_LIBOBJ([getopt1])
145 gl_PREREQ_GETOPT
146 fi
147 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
148 gl_FUNC_GETOPT_POSIX
149 if test $REPLACE_GETOPT = 1; then
150 AC_LIBOBJ([getopt])
151 AC_LIBOBJ([getopt1])
152 gl_PREREQ_GETOPT
153 fi
154 AC_REQUIRE([AC_C_INLINE])
155 gl_INTTYPES_INCOMPLETE
156 gl_FUNC_LSTAT
157 if test $REPLACE_LSTAT = 1; then
158 AC_LIBOBJ([lstat])
159 gl_PREREQ_LSTAT
160 fi
161 gl_SYS_STAT_MODULE_INDICATOR([lstat])
162 gl_FUNC_MKTIME
163 if test $REPLACE_MKTIME = 1; then
164 AC_LIBOBJ([mktime])
165 gl_PREREQ_MKTIME
166 fi
167 gl_TIME_MODULE_INDICATOR([mktime])
168 gl_MULTIARCH
169 gl_FUNC_PTHREAD_SIGMASK
170 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
171 AC_LIBOBJ([pthread_sigmask])
172 gl_PREREQ_PTHREAD_SIGMASK
173 fi
174 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
175 gl_FUNC_READLINK
176 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
177 AC_LIBOBJ([readlink])
178 gl_PREREQ_READLINK
179 fi
180 gl_UNISTD_MODULE_INDICATOR([readlink])
181 gl_SIGNAL_H
182 gl_TYPE_SOCKLEN_T
183 gt_TYPE_SSIZE_T
184 gl_STDARG_H
185 AM_STDBOOL_H
186 gl_STDDEF_H
187 gl_STDINT_H
188 gl_STDIO_H
189 gl_STDLIB_H
190 gl_FUNC_GNU_STRFTIME
191 gl_FUNC_STRTOIMAX
192 if test $ac_cv_func_strtoimax = no; then
193 AC_LIBOBJ([strtoimax])
194 gl_PREREQ_STRTOIMAX
195 fi
196 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
197 gl_FUNC_STRTOUMAX
198 if test $ac_cv_func_strtoumax = no; then
199 AC_LIBOBJ([strtoumax])
200 gl_PREREQ_STRTOUMAX
201 fi
202 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
203 gl_FUNC_SYMLINK
204 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
205 AC_LIBOBJ([symlink])
206 fi
207 gl_UNISTD_MODULE_INDICATOR([symlink])
208 gl_HEADER_SYS_STAT_H
209 AC_PROG_MKDIR_P
210 gl_HEADER_TIME_H
211 gl_TIME_R
212 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
213 AC_LIBOBJ([time_r])
214 gl_PREREQ_TIME_R
215 fi
216 gl_TIME_MODULE_INDICATOR([time_r])
217 AC_REQUIRE([AC_C_INLINE])
218 gl_UNISTD_H
219 gl_gnulib_enabled_dosname=false
220 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
221 gl_gnulib_enabled_pathmax=false
222 gl_gnulib_enabled_sigprocmask=false
223 gl_gnulib_enabled_stat=false
224 gl_gnulib_enabled_strtoll=false
225 gl_gnulib_enabled_strtoull=false
226 gl_gnulib_enabled_verify=false
227 func_gl_gnulib_m4code_dosname ()
228 {
229 if ! $gl_gnulib_enabled_dosname; then
230 gl_gnulib_enabled_dosname=true
231 fi
232 }
233 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
234 {
235 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
236 AC_SUBST([LIBINTL])
237 AC_SUBST([LTLIBINTL])
238 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
239 fi
240 }
241 func_gl_gnulib_m4code_pathmax ()
242 {
243 if ! $gl_gnulib_enabled_pathmax; then
244 gl_PATHMAX
245 gl_gnulib_enabled_pathmax=true
246 fi
247 }
248 func_gl_gnulib_m4code_sigprocmask ()
249 {
250 if ! $gl_gnulib_enabled_sigprocmask; then
251 gl_SIGNALBLOCKING
252 if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
253 AC_LIBOBJ([sigprocmask])
254 gl_PREREQ_SIGPROCMASK
255 fi
256 gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
257 gl_gnulib_enabled_sigprocmask=true
258 fi
259 }
260 func_gl_gnulib_m4code_stat ()
261 {
262 if ! $gl_gnulib_enabled_stat; then
263 gl_FUNC_STAT
264 if test $REPLACE_STAT = 1; then
265 AC_LIBOBJ([stat])
266 gl_PREREQ_STAT
267 fi
268 gl_SYS_STAT_MODULE_INDICATOR([stat])
269 gl_gnulib_enabled_stat=true
270 if test $REPLACE_STAT = 1; then
271 func_gl_gnulib_m4code_dosname
272 fi
273 if test $REPLACE_STAT = 1; then
274 func_gl_gnulib_m4code_pathmax
275 fi
276 if test $REPLACE_STAT = 1; then
277 func_gl_gnulib_m4code_verify
278 fi
279 fi
280 }
281 func_gl_gnulib_m4code_strtoll ()
282 {
283 if ! $gl_gnulib_enabled_strtoll; then
284 gl_FUNC_STRTOLL
285 if test $HAVE_STRTOLL = 0; then
286 AC_LIBOBJ([strtoll])
287 gl_PREREQ_STRTOLL
288 fi
289 gl_STDLIB_MODULE_INDICATOR([strtoll])
290 gl_gnulib_enabled_strtoll=true
291 fi
292 }
293 func_gl_gnulib_m4code_strtoull ()
294 {
295 if ! $gl_gnulib_enabled_strtoull; then
296 gl_FUNC_STRTOULL
297 if test $HAVE_STRTOULL = 0; then
298 AC_LIBOBJ([strtoull])
299 gl_PREREQ_STRTOULL
300 fi
301 gl_STDLIB_MODULE_INDICATOR([strtoull])
302 gl_gnulib_enabled_strtoull=true
303 fi
304 }
305 func_gl_gnulib_m4code_verify ()
306 {
307 if ! $gl_gnulib_enabled_verify; then
308 gl_gnulib_enabled_verify=true
309 fi
310 }
311 if test $REPLACE_GETOPT = 1; then
312 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
313 fi
314 if test $REPLACE_LSTAT = 1; then
315 func_gl_gnulib_m4code_dosname
316 fi
317 if test $REPLACE_LSTAT = 1; then
318 func_gl_gnulib_m4code_stat
319 fi
320 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
321 func_gl_gnulib_m4code_sigprocmask
322 fi
323 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
324 func_gl_gnulib_m4code_stat
325 fi
326 if test $ac_cv_func_strtoimax = no; then
327 func_gl_gnulib_m4code_verify
328 fi
329 if test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
330 func_gl_gnulib_m4code_strtoll
331 fi
332 if test $ac_cv_func_strtoumax = no; then
333 func_gl_gnulib_m4code_verify
334 fi
335 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
336 func_gl_gnulib_m4code_strtoull
337 fi
338 m4_pattern_allow([^gl_GNULIB_ENABLED_])
339 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
340 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
341 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
342 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
343 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
344 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
345 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
346 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
347 # End of code from modules
348 m4_ifval(gl_LIBSOURCES_LIST, [
349 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
350 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
351 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
352 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
353 exit 1
354 fi
355 done])dnl
356 m4_if(m4_sysval, [0], [],
357 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
358 ])
359 m4_popdef([gl_LIBSOURCES_DIR])
360 m4_popdef([gl_LIBSOURCES_LIST])
361 m4_popdef([AC_LIBSOURCES])
362 m4_popdef([AC_REPLACE_FUNCS])
363 m4_popdef([AC_LIBOBJ])
364 AC_CONFIG_COMMANDS_PRE([
365 gl_libobjs=
366 gl_ltlibobjs=
367 if test -n "$gl_LIBOBJS"; then
368 # Remove the extension.
369 sed_drop_objext='s/\.o$//;s/\.obj$//'
370 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
371 gl_libobjs="$gl_libobjs $i.$ac_objext"
372 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
373 done
374 fi
375 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
376 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
377 ])
378 gltests_libdeps=
379 gltests_ltlibdeps=
380 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
381 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
382 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
383 m4_pushdef([gltests_LIBSOURCES_LIST], [])
384 m4_pushdef([gltests_LIBSOURCES_DIR], [])
385 gl_COMMON
386 gl_source_base='tests'
387 changequote(,)dnl
388 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
389 changequote([, ])dnl
390 AC_SUBST([gltests_WITNESS])
391 gl_module_indicator_condition=$gltests_WITNESS
392 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
393 m4_pattern_allow([^gl_GNULIB_ENABLED_])
394 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
395 m4_ifval(gltests_LIBSOURCES_LIST, [
396 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
397 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
398 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
399 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
400 exit 1
401 fi
402 done])dnl
403 m4_if(m4_sysval, [0], [],
404 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
405 ])
406 m4_popdef([gltests_LIBSOURCES_DIR])
407 m4_popdef([gltests_LIBSOURCES_LIST])
408 m4_popdef([AC_LIBSOURCES])
409 m4_popdef([AC_REPLACE_FUNCS])
410 m4_popdef([AC_LIBOBJ])
411 AC_CONFIG_COMMANDS_PRE([
412 gltests_libobjs=
413 gltests_ltlibobjs=
414 if test -n "$gltests_LIBOBJS"; then
415 # Remove the extension.
416 sed_drop_objext='s/\.o$//;s/\.obj$//'
417 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
418 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
419 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
420 done
421 fi
422 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
423 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
424 ])
425 LIBGNU_LIBDEPS="$gl_libdeps"
426 AC_SUBST([LIBGNU_LIBDEPS])
427 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
428 AC_SUBST([LIBGNU_LTLIBDEPS])
429 ])
430
431 # Like AC_LIBOBJ, except that the module name goes
432 # into gl_LIBOBJS instead of into LIBOBJS.
433 AC_DEFUN([gl_LIBOBJ], [
434 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
435 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
436 ])
437
438 # Like AC_REPLACE_FUNCS, except that the module name goes
439 # into gl_LIBOBJS instead of into LIBOBJS.
440 AC_DEFUN([gl_REPLACE_FUNCS], [
441 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
442 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
443 ])
444
445 # Like AC_LIBSOURCES, except the directory where the source file is
446 # expected is derived from the gnulib-tool parameterization,
447 # and alloca is special cased (for the alloca-opt module).
448 # We could also entirely rely on EXTRA_lib..._SOURCES.
449 AC_DEFUN([gl_LIBSOURCES], [
450 m4_foreach([_gl_NAME], [$1], [
451 m4_if(_gl_NAME, [alloca.c], [], [
452 m4_define([gl_LIBSOURCES_DIR], [lib])
453 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
454 ])
455 ])
456 ])
457
458 # Like AC_LIBOBJ, except that the module name goes
459 # into gltests_LIBOBJS instead of into LIBOBJS.
460 AC_DEFUN([gltests_LIBOBJ], [
461 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
462 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
463 ])
464
465 # Like AC_REPLACE_FUNCS, except that the module name goes
466 # into gltests_LIBOBJS instead of into LIBOBJS.
467 AC_DEFUN([gltests_REPLACE_FUNCS], [
468 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
469 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
470 ])
471
472 # Like AC_LIBSOURCES, except the directory where the source file is
473 # expected is derived from the gnulib-tool parameterization,
474 # and alloca is special cased (for the alloca-opt module).
475 # We could also entirely rely on EXTRA_lib..._SOURCES.
476 AC_DEFUN([gltests_LIBSOURCES], [
477 m4_foreach([_gl_NAME], [$1], [
478 m4_if(_gl_NAME, [alloca.c], [], [
479 m4_define([gltests_LIBSOURCES_DIR], [tests])
480 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
481 ])
482 ])
483 ])
484
485 # This macro records the list of files which have been installed by
486 # gnulib-tool and may be removed by future gnulib-tool invocations.
487 AC_DEFUN([gl_FILE_LIST], [
488 build-aux/snippet/_Noreturn.h
489 build-aux/snippet/arg-nonnull.h
490 build-aux/snippet/c++defs.h
491 build-aux/snippet/warn-on-use.h
492 lib/alloca.in.h
493 lib/allocator.c
494 lib/allocator.h
495 lib/careadlinkat.c
496 lib/careadlinkat.h
497 lib/dosname.h
498 lib/dtoastr.c
499 lib/dup2.c
500 lib/filemode.c
501 lib/filemode.h
502 lib/ftoastr.c
503 lib/ftoastr.h
504 lib/getloadavg.c
505 lib/getopt.c
506 lib/getopt.in.h
507 lib/getopt1.c
508 lib/getopt_int.h
509 lib/gettext.h
510 lib/ignore-value.h
511 lib/intprops.h
512 lib/inttypes.in.h
513 lib/lstat.c
514 lib/md5.c
515 lib/md5.h
516 lib/mktime-internal.h
517 lib/mktime.c
518 lib/pathmax.h
519 lib/pthread_sigmask.c
520 lib/readlink.c
521 lib/sha1.c
522 lib/sha1.h
523 lib/sha256.c
524 lib/sha256.h
525 lib/sha512.c
526 lib/sha512.h
527 lib/signal.in.h
528 lib/sigprocmask.c
529 lib/stat.c
530 lib/stdarg.in.h
531 lib/stdbool.in.h
532 lib/stddef.in.h
533 lib/stdint.in.h
534 lib/stdio.in.h
535 lib/stdlib.in.h
536 lib/strftime.c
537 lib/strftime.h
538 lib/strtoimax.c
539 lib/strtol.c
540 lib/strtoll.c
541 lib/strtoul.c
542 lib/strtoull.c
543 lib/strtoumax.c
544 lib/symlink.c
545 lib/sys_stat.in.h
546 lib/time.in.h
547 lib/time_r.c
548 lib/u64.h
549 lib/unistd.in.h
550 lib/verify.h
551 m4/00gnulib.m4
552 m4/alloca.m4
553 m4/c-strtod.m4
554 m4/dup2.m4
555 m4/extensions.m4
556 m4/filemode.m4
557 m4/getloadavg.m4
558 m4/getopt.m4
559 m4/gnulib-common.m4
560 m4/include_next.m4
561 m4/inttypes.m4
562 m4/largefile.m4
563 m4/longlong.m4
564 m4/lstat.m4
565 m4/md5.m4
566 m4/mktime.m4
567 m4/multiarch.m4
568 m4/nocrash.m4
569 m4/pathmax.m4
570 m4/pthread_sigmask.m4
571 m4/readlink.m4
572 m4/sha1.m4
573 m4/sha256.m4
574 m4/sha512.m4
575 m4/signal_h.m4
576 m4/signalblocking.m4
577 m4/socklen.m4
578 m4/ssize_t.m4
579 m4/st_dm_mode.m4
580 m4/stat.m4
581 m4/stdarg.m4
582 m4/stdbool.m4
583 m4/stddef_h.m4
584 m4/stdint.m4
585 m4/stdio_h.m4
586 m4/stdlib_h.m4
587 m4/strftime.m4
588 m4/strtoimax.m4
589 m4/strtoll.m4
590 m4/strtoull.m4
591 m4/strtoumax.m4
592 m4/symlink.m4
593 m4/sys_stat_h.m4
594 m4/time_h.m4
595 m4/time_r.m4
596 m4/tm_gmtoff.m4
597 m4/unistd_h.m4
598 m4/warn-on-use.m4
599 m4/wchar_t.m4
600 ])